%define name xen
%define version 3.0.1
%define release 3.1.20060mdk

# XXX put back to svn branch 2006.0

Name: %{name}
Version: %{version}
Release: %{release}
Summary: The basic tools for managing XEN virtual machines.
Summary(pt_BR): Ferramentas para gerenciamento das mquinas virtuais XEN.
Group: Utilities
Group(pt_BR): Utilitrios
Group(es): Utilitarios
License: GPL
Source0: xen-%{version}-src.tar.bz2
Patch0: xen-3.0.1-ioapic-fixes-for-napa.patch.bz2
Requires: python-twisted-core
Requires: python
Requires: module-init-tools
Requires: iptables
Requires: bridge-utils
Conflicts: glibc < 6:2.3.6-2mdk
BuildRequires: libpython-devel >= 2.4
BuildRequires: glibc-static-devel
BuildRequires: libext2fs-devel
BuildRequires: libncurses-devel
BuildRequires: libSDL-devel
BuildRequires: dev86-devel
BuildRequires: zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description 
The basic tools for managing XEN virtual machines.

%description -l pt_BR
Ferramentas para gerenciamento das mquinas virtuais XEN.

%prep
%setup -q
%patch0 -p1 -b .ioapic-fixes-for-napa

# quick fix qemu-dm.debug
perl -pi -e 's|%{_prefix}/lib/(xen/bin/qemu-dm)|%{_libdir}/\1|' \
	./tools/ioemu/target-i386-dm/qemu-dm.debug

%build
# clean all stuff
make clean
export CFLAGS="$CFLAGS -fno-strict-aliasing"
export HOSTCC="$HOSTCC -fno-strict-aliasing"
%make -C tools 
%make -C xen 


%install
export DONT_GPRINTIFY=1
rm -rf %{buildroot}
make DESTDIR=%{buildroot} -C tools install
make DESTDIR=%{buildroot} -C xen install

# fix man pages
mkdir -p %{buildroot}%{_datadir}/man
#cp -adpR %{buildroot}/usr/man/* %{buildroot}%{_datadir}/man/
#rm -rf %{buildroot}/usr/man

# nuke unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libxen{ctrl,guest}.a
find  $RPM_BUILD_ROOT%{_libdir}/python/ -name "*.pyc" | xargs rm -f

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{_sysconfdir}/xen
%dir %{_sysconfdir}/xen/auto
%config %{_sysconfdir}/hotplug/xen-backend.agent
%config %{_sysconfdir}/sysconfig/xendomains
%config %{_sysconfdir}/udev/rules.d/xen-backend.rules
%config %{_sysconfdir}/udev/xen-backend.rules
%config %{_sysconfdir}/xen/xend-config.sxp
%config %{_sysconfdir}/xen/xmexample1
%config %{_sysconfdir}/xen/xmexample2
%config %{_sysconfdir}/xen/xmexample.vmx
%config %{_sysconfdir}/xen/xmexample.vti
%config %{_sysconfdir}/xen/scripts/*
%config %{_sysconfdir}/xen/qemu-ifup
%{_mandir}/man*/*
%dir %{_libdir}/xen
%{_libdir}/xen/*
%if "%{_lib}" != "lib"
%{_prefix}/lib/xen/*
%endif
%dir %{_libdir}/python/xen
%{_libdir}/python/xen/*
%{_libdir}/python/grub/*
%{_libdir}/libxenctrl.so*
%{_libdir}/libxenguest.so*
%{_libdir}/libxenstore.so*
%{_includedir}/*.h
%dir %{_datadir}/xen
%{_datadir}/xen/*
%dir /var/lib/xenstored
%dir /var/run/xenstored
/boot/xen*
%dir /usr/include/xen
/usr/include/xen/*
%config %{_sysconfdir}/init.d/xend
%config %{_sysconfdir}/init.d/xendomains
%{_sbindir}/xenstored
%{_sbindir}/netfix
%{_sbindir}/xm
%{_sbindir}/xend
%{_sbindir}/xenperf
%{_sbindir}/xenconsoled
%{_sbindir}/xentop
%{_sbindir}/xen-bugtool
%{_sbindir}/setmask
%{_sbindir}/xenbaked
%{_sbindir}/xenmon.py
%{_bindir}/xenperf
%{_bindir}/xc_shadow
%{_bindir}/xencons
%{_bindir}/cpuperf-xen
%{_bindir}/cpuperf-perfcntr
%{_bindir}/lomount
%{_bindir}/xentrace
%{_bindir}/xentrace_format
%{_bindir}/xenstore-*
%{_bindir}/tbctl
%{_bindir}/setsize
%{_bindir}/pygrub

%changelog
* Tue Sep 26 2006 Vincent Danen <vdanen@mandriva.com> 3.0.1-3.1.20060mdk
- build for updates

* Wed Aug 30 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0.1-3mdk
- fix glibc conflicts

* Tue Aug  8 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0.1-2mdk
- build VMX tools
- lib64 fix to qemu-dm.debug
- IO-APIC fixes (get network connectivity on Napa platforms, HG tree)

* Tue Jul 25 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0.1-1mdk
- 3.0.1
- Conflicts: glibc < 2.3.6-2mdk

* Thu Sep  8 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0-0.20050823.6mdk
- x86_64 fixes for binutils 2.16.9x
- requires glibc-xen for */nosegneg/ libs

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050823.5mdk
- updated to snapshot of 2005-08-23 (last know working)

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050829.4mdk
- updated to snapshot of 2005-08-29

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050811.3mdk
- updated to snapshot of 2005-08-19

* Thu Aug 11 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050811.2mdk
- updated to snapshot of 2005-08-11

* Fri Aug 05 2005 Flvio Bruno Leitner <fbl@mandriva.com> 3.0-0.20050801.1mdk
- created package.

